Subject: Re: [PATCH v5] git-prompt: make colourization consistent

From: Junio C Hamano <[email-masked]>
Date: Mon, 06 Jun 2022 10:41:56 -0700

Joakim Petersen <[email-masked]> writes:

> On 06/06/2022 18:29, Junio C Hamano wrote:
>> Joakim Petersen <[email-masked]> writes:
>>>   * If the local tree has new, untracked files and there is nothing in
>>>     the stash, both the '%' and the    short upstream state indicator
>> looong space?
>> 
>
> That is quite the long space indeed, I'll get that fixed.
>
>>> If the user is in a sparse checkout, the sparsity state indicator
>>> follows a similar pattern to the short upstream state indicator.
>>> However, clearing colour of the colourized indicators changes how the
>>> sparsity state indicator is colourized , as it currently inherits (and
>>> before the change referenced also inherited) the colour of the last
>>> short state indicator before it. Reading the commit message of the
>>> change that introduced the sparsity state indicator, afda36dbf3b
>>> (git-prompt: include sparsity state as well, 2020-06-21), it appears
>>> this colourization also was unintended, so clearing the colour for said
>>> indicator further increases consistency.
>> Here, after explaining how bad the current situation is, like the
>> above, is a good place to say what we do, i.e. "teach indicators to
>> clear after themselves".
>
> I'll add a clear statement of what this patch does as well.

I think you already have "Make the coloring of these ... consistent
by making ..." much earlier, and moving it here would be sufficient.

>> Nicely written.
>> Will queue.
>> Thanks.
> Alright, great!